System.ServiceModel 4.0.0.0 System.Object

This class is the base class for the implementation of custom peer name resolvers. A peer name resolver is a discovery service used by peer channels to find peer nodes participating in a peer mesh. It is also used to "register" a node with a peer mesh, the mechanism by which the peer node becomes known and available from the peer mesh.

Specifies a base type used to define the contract for the registration and resolution of a peer mesh ID to the endpoint addresses of nodes participating in the mesh.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets whether the peer name resolver can share referrals.

- Method
  4.0.0.0
  System.Void `` `` `` ``

  This method simply initializes the existing peer resolver instance; it does not create a new one. To create a new peer resolver, call the CreatePeerResolver method on the corresponding binding element (for example, ).

  Initializes the current peer resolver instance with the new supplied endpoint address and settings.

  that contains the new endpoint address of this peer resolver instance. that specifies the new network binding for this peer resolver. that specifies the new client credentials for this peer resolver. that specifies the new referral policy for this peer resolver.
- Method
  4.0.0.0
  System.Object `` `` `` To be added.

  Registers a for a specific peer mesh.

  An that represents the registration ID. This registration ID object is passed to the and methods.

  The ID of the peer mesh in which the peer node is to be registered. The to be registered with the peer mesh. The length of time to wait for success before aborting the attempt to register with the peer mesh. If the attempt fails, is raised on the peer.
- Method
  4.0.0.0
  System.Collections.ObjectModel.ReadOnlyCollection<System.ServiceModel.PeerNodeAddress> `` `` `` To be added.

  Resolves the supplied mesh ID to zero or more endpoint addresses of nodes participating in the peer mesh.

  A that contains objects representing nodes participating in the peer mesh.

  The mesh ID of the peer mesh within which the objects representing participating nodes are to be obtained. The number of endpoint addresses to return. The length of time to wait for success before aborting the attempt to resolve endpoint addresses within the peer mesh. If the attempt fails, is raised on the peer.
- Method
  4.0.0.0
  System.Void `` ``

  A registration ID is a peer resolver token, that, at the very minimum, represents the tuple of a peer node ID and the mesh ID. This ID value must have been obtained in a previous call to .

  is called in two specific cases:

  When the is leaving the peer mesh (usually as the result of closing the last peer channel or service host that is associated with it).

  When the can find no available endpoint addresses of other nodes participating in the peer mesh. As a result, the is no longer reachable, and it will attempt to call to unregister itself from the . If other peer nodes within the mesh become available subsequent to unregistration, the node can re-register itself by calling and obtaining a new registration ID.

  Removes the registration entry for a node from a peer mesh.

  A registration ID for the node obtained by a previous call to . The length of time to wait for a successful removal of the registration from the peer mesh. If the attempt fails, is raised on the peer.
- Method
  4.0.0.0
  System.Void `` `` ``

  is called when the address of the changes on the local machine.

  Updates the for a node registered with a specific peer mesh.

  A registration ID token for the node, obtained by a previous call to The updated endpoint address (and other multihoming IP addresses). The length of time to wait for success before aborting the attempt to update the node's registration within the peer mesh. If the attempt fails, is raised on the peer.